LLM Readiness

Operations of the LLM Registry API. Paths are relative to your deployment's API host.

GET /api/llm-registry-api/llm/readiness

Check org-level LLM readiness

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json LlmReadinessResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/llm-registry-api/projects/{projectId}/llm/readiness

Check project-level LLM readiness

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes
StatusDescriptionBody
200application/json LlmReadinessResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto